@echo off
@color 0C
title H266MOD-Vacation Compability Enabler
cls

:top
echo.
echo         ͻ
echo          H266MOD-Vacation Compability Enabler 
echo         ͼ
echo                    By Hendricks266 
echo                   
echo.
echo This batch file extracts the contents of your Vacation.grp,
echo Vacation.prg*, or Vacation.zip and verifies the contents
echo in order to ensure proper functioning of HVacation.
echo.
pause
echo.
echo In order for this to work you must have the following
echo files in the same directory:
echo.
echo HVacation.bat (This Batch File)
echo HVacation.zip (H266MOD Additions)
echo Vacation.grp OR Vacation.prg* OR Vacation.zip
echo KE.H266
echo KG.H266
echo UZ.H266
echo.
echo If you do not have these files in the same directory you
echo will get errors.
echo.
echo Note: If you have both Vacation.zip and Vacation.grp in your
echo directory then this batch file will default to the GRP.
echo.
echo * Vacation.prg is simply Vacation.grp with a renamed file
echo   extension. Duke Caribbean comes with all the files having
echo   their file extensions reversed. Convienently enough, .EXE
echo   and .TXT are palindromes.
echo.
echo Press any key to begin installation . . .
pause > NUL
if exist Vacation.prg ren Vacation.prg Vacation.grp
if not exist Vacation.grp goto grpcheck
if not exist Vacation.zip goto zipcheck
if not exist KE.H266 goto noke
if not exist KG.H266 goto nokg
if not exist UZ.H266 goto nouz
goto start

:grpcheck
if exist Vacation.zip goto start
goto nogrp

:zipcheck
if exist Vacation.grp goto start
goto nozip

:start
cls
echo.
echo Please Wait . . .
@set directory=%cd%
@md HVACATEMP
@cd HVACATEMP
@md HVACAGRP
@cd %directory%
@copy /y KG.H266 HVACATEMP\HVACAGRP\KG.exe
@copy /y HVacation.zip HVACATEMP\HVACAGRP\HVacation.zip
@copy /y UZ.H266 HVACATEMP\HVACAGRP\UZ.exe
@cd HVACATEMP
@cd HVACAGRP
@UZ.exe e HVacation.zip *.*
@del /Q HVacation.zip
@del /Q UZ.exe
@cd %directory%
if exist Vacation.grp goto grp
if exist Vacation.zip goto zip
goto error

:grp
@copy /y KE.H266 HVACATEMP\KE.exe
@copy /y Vacation.grp HVACATEMP\Vacation.grp
@cd HVACATEMP
@KE.exe Vacation.grp *.*
@del /Q KE.exe
@del /Q Vacation.grp
goto almost

:zip
@copy /y UZ.H266 HVACATEMP\UZ.exe
@copy /y Vacation.zip HVACATEMP\Vacation.zip
@cd HVACATEMP
@UZ.exe e Vacation.zip *.*
@del /Q Vacation.zip
goto almost

:almost

@if not exist VACA1.MAP goto incomplete
@copy /y VACA1.MAP HVACAGRP\VACA1.MAP

@if not exist VACA2.MAP goto incomplete
@copy /y VACA2.MAP HVACAGRP\VACA2.MAP

@if not exist VACA3.MAP goto incomplete
@copy /y VACA3.MAP HVACAGRP\VACA3.MAP

@if not exist VACA3.MAP goto incomplete
@copy /y VACA3.MAP HVACAGRP\VACA3.MAP

@if not exist VACA4.MAP goto incomplete
@copy /y VACA4.MAP HVACAGRP\VACA4.MAP

@if not exist VACA5.MAP goto incomplete
@copy /y VACA5.MAP HVACAGRP\VACA5.MAP

@if not exist VACA6.MAP goto incomplete
@copy /y VACA6.MAP HVACAGRP\VACA6.MAP

@if not exist VACA7.MAP goto incomplete
@copy /y VACA7.MAP HVACAGRP\VACA7.MAP

@if not exist VACASL.MAP goto incomplete
@copy /y VACASL.MAP HVACAGRP\VACASL.MAP

@if not exist VACADM1.MAP goto incomplete
@copy /y VACADM1.MAP HVACAGRP\VACADM1.MAP

@if not exist VACADM2.MAP goto incomplete
@copy /y VACADM2.MAP HVACAGRP\VACADM2.MAP

@if not exist VACADM3.MAP goto incomplete
@copy /y VACADM3.MAP HVACAGRP\VACADM3.MAP

@if not exist VACADM4.MAP goto incomplete
@copy /y VACADM4.MAP HVACAGRP\VACADM4.MAP

@if not exist CINEOV3.ANM goto incomplete
@copy /y CINEOV3.ANM HVACAGRP\CINEOV3.ANM

@if exist DUKETEAM.ANM ren DUKETEAM.ANM RADLOGO.ANM
@if not exist RADLOGO.ANM goto incomplete
@copy /y RADLOGO.ANM HVACAGRP\RADLOGO.ANM

@if not exist TILES000.ART goto incomplete
@copy /y TILES000.ART HVACAGRP\TILES000.ART

@if not exist TILES003.ART goto incomplete
@copy /y TILES003.ART HVACAGRP\TILES003.ART

@if not exist TILES005.ART goto incomplete
@copy /y TILES005.ART HVACAGRP\TILES005.ART

@if not exist TILES006.ART goto incomplete
@copy /y TILES006.ART HVACAGRP\TILES006.ART

@if not exist TILES007.ART goto incomplete
@copy /y TILES007.ART HVACAGRP\TILES007.ART

@if not exist TILES008.ART goto incomplete
@copy /y TILES008.ART HVACAGRP\TILES008.ART

@if not exist TILES009.ART goto incomplete
@copy /y TILES009.ART HVACAGRP\TILES009.ART

@if not exist TILES010.ART goto incomplete
@copy /y TILES010.ART HVACAGRP\TILES010.ART

@if not exist TILES012.ART goto incomplete
@copy /y TILES012.ART HVACAGRP\TILES012.ART

@if not exist TILES014.ART goto incomplete
@copy /y TILES014.ART HVACAGRP\TILES014.ART

@if not exist DOOMSDAY.MID goto incomplete
@copy /y DOOMSDAY.MID HVACAGRP\DOOMSDAY.MID

@if not exist DUKE-O.MID goto incomplete
@copy /y DUKE-O.MID HVACAGRP\DUKE-O.MID

@if not exist IRIEPRTY.MID goto incomplete
@copy /y IRIEPRTY.MID HVACAGRP\IRIEPRTY.MID

@if not exist JUNGVEIN.MID goto incomplete
@copy /y JUNGVEIN.MID HVACAGRP\JUNGVEIN.MID

@if not exist PRTYCRUZ.MID goto incomplete
@copy /y PRTYCRUZ.MID HVACAGRP\PRTYCRUZ.MID

@if not exist SOL-MAN1.MID goto incomplete
@copy /y SOL-MAN1.MID HVACAGRP\SOL-MAN1.MID

@if not exist ADDREE.VOC goto incomplete
@copy /y ADDREE.VOC HVACAGRP\ADDREE.VOC

@if not exist BALLBOOM.VOC goto incomplete
@copy /y BALLBOOM.VOC HVACAGRP\BALLBOOM.VOC

@if not exist BARMUSIC.VOC goto incomplete
@copy /y BARMUSIC.VOC HVACAGRP\BARMUSIC.VOC

@if not exist BCHBALL.VOC goto incomplete
@copy /y BCHBALL.VOC HVACAGRP\BCHBALL.VOC

@if not exist BOING.VOC goto incomplete
@copy /y BOING.VOC HVACAGRP\BOING.VOC

@if not exist CHACHA.VOC goto incomplete
@copy /y CHACHA.VOC HVACAGRP\CHACHA.VOC

@if not exist CHAINDRV.VOC goto incomplete
@copy /y CHAINDRV.VOC HVACAGRP\CHAINDRV.VOC

@if not exist CHEAP01.VOC goto incomplete
@copy /y CHEAP01.VOC HVACAGRP\CHEAP01.VOC

@if not exist CHEER.VOC goto incomplete
@copy /y CHEER.VOC HVACAGRP\CHEER.VOC

@if not exist CHNSQRT.VOC goto incomplete
@copy /y CHNSQRT.VOC HVACAGRP\CHNSQRT.VOC

@if not exist COCOANUT.VOC goto incomplete
@copy /y COCOANUT.VOC HVACAGRP\COCOANUT.VOC

@if not exist CRUSH2.VOC goto incomplete
@copy /y CRUSH2.VOC HVACAGRP\CRUSH2.VOC

@if not exist DEFLATE2.VOC goto incomplete
@copy /y DEFLATE2.VOC HVACAGRP\DEFLATE2.VOC

@if not exist DRAGHURT.VOC goto incomplete
@copy /y DRAGHURT.VOC HVACAGRP\DRAGHURT.VOC

@if not exist DRAGROAM.VOC goto incomplete
@copy /y DRAGROAM.VOC HVACAGRP\DRAGROAM.VOC

@if not exist DRAGSHOT.VOC goto incomplete
@copy /y DRAGSHOT.VOC HVACAGRP\DRAGSHOT.VOC

@if not exist DUKE01.VOC goto incomplete
@copy /y DUKE01.VOC HVACAGRP\DUKE01.VOC

@if not exist ELEV1.VOC goto incomplete
@copy /y ELEV1.VOC HVACAGRP\ELEV1.VOC

@if not exist GMEOVR05.VOC goto incomplete
@copy /y GMEOVR05.VOC HVACAGRP\GMEOVR05.VOC

@if not exist GULLDIE.VOC goto incomplete
@copy /y GULLDIE.VOC HVACAGRP\GULLDIE.VOC

@if not exist GULLHURT.VOC goto incomplete
@copy /y GULLHURT.VOC HVACAGRP\GULLHURT.VOC

@if not exist GULLROAM.VOC goto incomplete
@copy /y GULLROAM.VOC HVACAGRP\GULLROAM.VOC

@if not exist GULLSHIT.VOC goto incomplete
@copy /y GULLSHIT.VOC HVACAGRP\GULLSHIT.VOC

@if not exist HELP04.VOC goto incomplete
@copy /y HELP04.VOC HVACAGRP\HELP04.VOC

@if not exist ICECONCH.VOC goto incomplete
@copy /y ICECONCH.VOC HVACAGRP\ICECONCH.VOC

@if not exist IDLEBOAT.VOC goto incomplete
@copy /y IDLEBOAT.VOC HVACAGRP\IDLEBOAT.VOC

@if not exist KICKHEAD.VOC goto incomplete
@copy /y KICKHEAD.VOC HVACAGRP\KICKHEAD.VOC

@if not exist LANI05.VOC goto incomplete
@copy /y LANI05.VOC HVACAGRP\LANI05.VOC

@if not exist LANI08.VOC goto incomplete
@copy /y LANI08.VOC HVACAGRP\LANI08.VOC

@if not exist LANIDUK2.VOC goto incomplete
@copy /y LANIDUK2.VOC HVACAGRP\LANIDUK2.VOC

@if not exist MUSCLE01.VOC goto incomplete
@copy /y MUSCLE01.VOC HVACAGRP\MUSCLE01.VOC

@if not exist MUSCLE04.VOC goto incomplete
@copy /y MUSCLE04.VOC HVACAGRP\MUSCLE04.VOC

@if not exist MUZAK.VOC goto incomplete
@copy /y MUZAK.VOC HVACAGRP\MUZAK.VOC

@if not exist PINEFALL.VOC goto incomplete
@copy /y PINEFALL.VOC HVACAGRP\PINEFALL.VOC

@if not exist POINT07.VOC goto incomplete
@copy /y POINT07.VOC HVACAGRP\POINT07.VOC

@if not exist POINT08.VOC goto incomplete
@copy /y POINT08.VOC HVACAGRP\POINT08.VOC

@if not exist RADIO.VOC goto incomplete
@copy /y RADIO.VOC HVACAGRP\RADIO.VOC

@if not exist RUIN01.VOC goto incomplete
@copy /y RUIN01.VOC HVACAGRP\RUIN01.VOC

@if not exist SCREAM.VOC goto incomplete
@copy /y SCREAM.VOC HVACAGRP\SCREAM.VOC

@if not exist SCREAM04.VOC goto incomplete
@copy /y SCREAM04.VOC HVACAGRP\SCREAM04.VOC

@if not exist SCREAM9.VOC goto incomplete
@copy /y SCREAM9.VOC HVACAGRP\SCREAM9.VOC

@if not exist SHIPHORN.VOC goto incomplete
@copy /y SHIPHORN.VOC HVACAGRP\SHIPHORN.VOC

@if not exist SNGLGULL.VOC goto incomplete
@copy /y SNGLGULL.VOC HVACAGRP\SNGLGULL.VOC

@if not exist SQRT4.VOC goto incomplete
@copy /y SQRT4.VOC HVACAGRP\SQRT4.VOC

@if not exist SQUIRT1.VOC goto incomplete
@copy /y SQUIRT1.VOC HVACAGRP\SQUIRT1.VOC

@if not exist SSCOOL1.VOC goto incomplete
@copy /y SSCOOL1.VOC HVACAGRP\SSCOOL1.VOC

@if not exist SSCOOL2.VOC goto incomplete
@copy /y SSCOOL2.VOC HVACAGRP\SSCOOL2.VOC

@if not exist SSCOOL3.VOC goto incomplete
@copy /y SSCOOL3.VOC HVACAGRP\SSCOOL3.VOC

@if not exist SSDIE1.VOC goto incomplete
@copy /y SSDIE1.VOC HVACAGRP\SSDIE1.VOC

@if not exist SSDIE2.VOC goto incomplete
@copy /y SSDIE2.VOC HVACAGRP\SSDIE2.VOC

@if not exist SSNORM01.VOC goto incomplete
@copy /y SSNORM01.VOC HVACAGRP\SSNORM01.VOC

@if not exist SSNORM02.VOC goto incomplete
@copy /y SSNORM02.VOC HVACAGRP\SSNORM02.VOC

@if not exist SSNORM03.VOC goto incomplete
@copy /y SSNORM03.VOC HVACAGRP\SSNORM03.VOC

@if not exist SSNORM04.VOC goto incomplete
@copy /y SSNORM04.VOC HVACAGRP\SSNORM04.VOC

@if not exist SSNORM05.VOC goto incomplete
@copy /y SSNORM05.VOC HVACAGRP\SSNORM05.VOC

@if not exist SSNORM06.VOC goto incomplete
@copy /y SSNORM06.VOC HVACAGRP\SSNORM06.VOC

@if not exist SSNORM07.VOC goto incomplete
@copy /y SSNORM07.VOC HVACAGRP\SSNORM07.VOC

@if not exist SSNORM08.VOC goto incomplete
@copy /y SSNORM08.VOC HVACAGRP\SSNORM08.VOC

@if not exist SSNORM10.VOC goto incomplete
@copy /y SSNORM10.VOC HVACAGRP\SSNORM10.VOC

@if not exist SSNORM11.VOC goto incomplete
@copy /y SSNORM11.VOC HVACAGRP\SSNORM11.VOC

@if not exist SSNORM12.VOC goto incomplete
@copy /y SSNORM12.VOC HVACAGRP\SSNORM12.VOC

@if not exist SSNORM13.VOC goto incomplete
@copy /y SSNORM13.VOC HVACAGRP\SSNORM13.VOC

@if not exist SSNORM14.VOC goto incomplete
@copy /y SSNORM14.VOC HVACAGRP\SSNORM14.VOC

@if not exist SSNORM15.VOC goto incomplete
@copy /y SSNORM15.VOC HVACAGRP\SSNORM15.VOC

@if not exist SSNORM16.VOC goto incomplete
@copy /y SSNORM16.VOC HVACAGRP\SSNORM16.VOC

@if not exist SSNORM17.VOC goto incomplete
@copy /y SSNORM17.VOC HVACAGRP\SSNORM17.VOC

@if not exist SSNORM18.VOC goto incomplete
@copy /y SSNORM18.VOC HVACAGRP\SSNORM18.VOC

@if not exist SSNORM19.VOC goto incomplete
@copy /y SSNORM19.VOC HVACAGRP\SSNORM19.VOC

@if not exist SSNORM20.VOC goto incomplete
@copy /y SSNORM20.VOC HVACAGRP\SSNORM20.VOC

@if not exist SSTAUNT1.VOC goto incomplete
@copy /y SSTAUNT1.VOC HVACAGRP\SSTAUNT1.VOC

@if not exist SSTAUNT2.VOC goto incomplete
@copy /y SSTAUNT2.VOC HVACAGRP\SSTAUNT2.VOC

@if not exist SSTAUNT3.VOC goto incomplete
@copy /y SSTAUNT3.VOC HVACAGRP\SSTAUNT3.VOC

@if not exist SSTAUNT4.VOC goto incomplete
@copy /y SSTAUNT4.VOC HVACAGRP\SSTAUNT4.VOC

@if not exist SSTAUNT5.VOC goto incomplete
@copy /y SSTAUNT5.VOC HVACAGRP\SSTAUNT5.VOC

@if not exist SSTAUNT6.VOC goto incomplete
@copy /y SSTAUNT6.VOC HVACAGRP\SSTAUNT6.VOC

@if not exist SSTAUNT7.VOC goto incomplete
@copy /y SSTAUNT7.VOC HVACAGRP\SSTAUNT7.VOC

@if not exist SSTAUNT8.VOC goto incomplete
@copy /y SSTAUNT8.VOC HVACAGRP\SSTAUNT8.VOC

@if not exist SURF.VOC goto incomplete
@copy /y SURF.VOC HVACAGRP\SURF.VOC

@if not exist TAN01.VOC goto incomplete
@copy /y TAN01.VOC HVACAGRP\TAN01.VOC

@if not exist TAN04.VOC goto incomplete
@copy /y TAN04.VOC HVACAGRP\TAN04.VOC

@if not exist VINESNAP.VOC goto incomplete
@copy /y VINESNAP.VOC HVACAGRP\VINESNAP.VOC

@if not exist VOODRUMS.VOC goto incomplete
@copy /y VOODRUMS.VOC HVACAGRP\VOODRUMS.VOC

@if not exist WIND54.VOC goto incomplete
@copy /y WIND54.VOC HVACAGRP\WIND54.VOC

@cd HVACAGRP

@KG.exe Vacation.grp *.*
@cd %directory%
@copy /y HVACATEMP\HVACAGRP\Vacation.grp HVacation.grp
goto finish

:finish
cls
echo.
echo Success!
echo.
echo You do not need to run this batch file again unless you
echo accidentally delete your new HVacation.grp.
echo.
echo To play H266MOD now, run H266MOD.bat.
echo.
pause
goto end

:nogrp
cls
echo.
echo Error: You don't have Vacation.grp in this directory.
pause
goto end

:noke
cls
echo.
echo Error: You don't have KE.H266 in this directory.
pause
goto end

:nokg
cls
echo.
echo Error: You don't have KG.H266 in this directory.
pause
goto end

:nouz
cls
echo.
echo Error: You don't have UZ.H266 in this directory.
pause
goto end

:incomplete
cls
echo.
echo Error: The contents of Vacation.grp\Vacation.zip are incomplete.
echo Please create a fresh Vacation.grp\Vacation.zip with all the required contents.
pause
goto end

:error
cls
echo.
echo Unknown Error. Make sure you have all required files in this directory.
pause
goto end

:end
@rd /S /Q HVACATEMP
@color 07
title Command Prompt
goto :eof
